body {
  background-color: #F5F2F2;
  color: #5A7ACD;
  font-family: "Times New Roman";  
}

.shelf {
  display: grid;
  width: 50vw;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  gap: 15px;
  justify-content: center;
}

.shelf div {
  width: 80px;
  height: 80px;
  background-color: red;
}

.shelf div::after {
  background-image: url("https://i.pinimg.com/474x/40/71/6d/40716d73e3a9c875cac57ec41e4cce2c.jpg");
  content: '';
  width: 80px;
  height: 80px;
  display: block;
}

.shelf div:nth-child(odd) {
  transform: rotate(20deg);
}

.shelf div:hover {
  transform:  translate(10px,10px);
  transition: 300ms;
}